Subject: Re: [PATCH 2/2] ath10k: detect conf_mutex held ath10k_drain_tx() calls

From: Kalle Valo <[email-masked]>
Date: Sun, 14 Feb 2021 08:08:21 +0200

Shuah Khan <[email-masked]> writes:

> ath10k_drain_tx() must not be called with conf_mutex held as workers can
> use that also. Add call to lockdep_assert_not_held() on conf_mutex to
> detect if conf_mutex is held by the caller.
>
> The idea for this patch stemmed from coming across the comment block
> above the ath10k_drain_tx() while reviewing the conf_mutex holds during
> to debug the conf_mutex lock assert in ath10k_debug_fw_stats_request().
>
> Adding detection to assert on conf_mutex hold will help detect incorrect
> usages that could lead to locking problems when async worker routines try
> to call this routine.
>
> Link: https://lore.kernel.org/linux-wireless/[email-masked]/
> Signed-off-by: Shuah Khan <[email-masked]>

This can go via the same tree as patch 1:

Acked-by: Kalle Valo <[email-masked]>

But I can also take this to my ath tree, once patch 1 has reached it.
Just let me know what is preferred.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches